MissingH-1.6.0.1: Large utility library

Copyright | Copyright (C) 2004-2011 John Goerzen
License | BSD-3-Clause
Stability | stable
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Concurrent.Thread.Utils

Contents

- I/O utilities

Description

This module provides various helpful utilities for dealing with threads.

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- runInThread :: IO a -> (a -> IO b) -> IO ThreadId

# I/O utilities

runInThread :: IO a -> (a -> IO b) -> IO ThreadId Source #

Takes a IO action and a function. The IO action will be called in a separate thread. When it is completed, the specified function is called with its result. This is a simple way of doing callbacks.